<?php

call_user_func(
	static function () {
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages(
			'tx_sgjobs_domain_model_job'
		);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages(
			'tx_sgjobs_domain_model_contact'
		);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages(
			'tx_sgjobs_domain_model_company'
		);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages(
			'tx_sgjobs_domain_model_job_application'
		);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages(
			'tx_sgjobs_domain_model_department'
		);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages(
			'tx_sgjobs_domain_model_experience_level'
		);

		// Register backend modules
		\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
			'SgJobs',
			'web',
			'Backend',
			'',
			[
				\SGalinski\SgJobs\Controller\BackendController::class => 'index',
			],
			[
				'access' => 'user,group',
				'iconIdentifier' => 'extension-sg_jobs-module',
				'labels' => 'LLL:EXT:sg_jobs/Resources/Private/Language/locallang_backend.xlf',
			]
		);
	}
);
